Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: David Engster <[email-masked]>
Date: Wed, 15 Jun 2011 20:30:46 +0200

martin rudalics writes:
>> Is this supposed to also fix the problem for batch mode? Because I still
>> see this error with revno. 104589:
>
> It was supposed to fix that, yes.
>
>>  --> emacs --batch foo bar baz
>> Unknown terminal type
>
> Can you check whether `display-buffer' tries to pop up a new buffer?  I
> don't have the slightest experience running Emacs in batch mode.

I don't know if this is what you're looking for, but when I run this:

--> emacs --batch -Q --eval "(debug-on-entry 'display-buffer-pop-up-window)" foo bar baz

I get this:

Debugger entered--entering a function:
  display-buffer-pop-up-window(#<buffer bar> ((largest) (lru)) ((pop-up-frame) (reuse-window other other visible) (reuse-window nil same visible) (pop-up-window (largest) (lru)) (reuse-window other other nil) (reuse-window-even-sizes . t) (reuse-window nil same visible) (pop-up-window (largest) (lru)) (pop-up-frame) (pop-up-frame-alist (height . 24) (width . 80) (unsplittable . t)) (reuse-window nil other visible) (reuse-window-even-sizes . t)))
* display-buffer(#<buffer bar> other-window nil)
  pop-to-buffer(#<buffer bar> other-window nil)
  switch-to-buffer-other-window(#<buffer bar>)
  find-file-other-window("/home/void/bar")
  command-line-1(("--eval" "(debug-on-entry 'display-buffer-pop-up-window)" "foo" "bar" "baz"))
  command-line()
  normal-top-level()

Cheers,
David